#ifdef GL_ES 
precision lowp float; 
#endif 

varying vec4 v_fragmentColor; 
varying vec2 v_texCoord; 
uniform sampler2D CC_Texture0;

void main() 
{ 
  vec4 color = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
  float gray = dot(vec3(color.x, color.y, color.z), vec3(0.3, 0.3, 0.4));
  gl_FragColor = vec4(gray, gray, gray, 1.0);
}